Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
3ed2::/16
First address
3ed2::
Last address
3ed2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
3ed2:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
2.d.e.3.ip6.arpa
Split into smaller subnets/28

3ed2::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
13ed2::/283ed2:f:ffff:ffff:ffff:ffff:ffff:ffff
23ed2:10::/283ed2:1f:ffff:ffff:ffff:ffff:ffff:ffff
33ed2:20::/283ed2:2f:ffff:ffff:ffff:ffff:ffff:ffff
43ed2:30::/283ed2:3f:ffff:ffff:ffff:ffff:ffff:ffff
53ed2:40::/283ed2:4f:ffff:ffff:ffff:ffff:ffff:ffff
63ed2:50::/283ed2:5f:ffff:ffff:ffff:ffff:ffff:ffff
73ed2:60::/283ed2:6f:ffff:ffff:ffff:ffff:ffff:ffff
83ed2:70::/283ed2:7f:ffff:ffff:ffff:ffff:ffff:ffff
93ed2:80::/283ed2:8f:ffff:ffff:ffff:ffff:ffff:ffff
103ed2:90::/283ed2:9f:ffff:ffff:ffff:ffff:ffff:ffff
113ed2:a0::/283ed2:af:ffff:ffff:ffff:ffff:ffff:ffff
123ed2:b0::/283ed2:bf:ffff:ffff:ffff:ffff:ffff:ffff
133ed2:c0::/283ed2:cf:ffff:ffff:ffff:ffff:ffff:ffff
143ed2:d0::/283ed2:df:ffff:ffff:ffff:ffff:ffff:ffff
153ed2:e0::/283ed2:ef:ffff:ffff:ffff:ffff:ffff:ffff
163ed2:f0::/283ed2:ff:ffff:ffff:ffff:ffff:ffff:ffff
173ed2:100::/283ed2:10f:ffff:ffff:ffff:ffff:ffff:ffff
183ed2:110::/283ed2:11f:ffff:ffff:ffff:ffff:ffff:ffff
193ed2:120::/283ed2:12f:ffff:ffff:ffff:ffff:ffff:ffff
203ed2:130::/283ed2:13f:ffff:ffff:ffff:ffff:ffff:ffff
213ed2:140::/283ed2:14f:ffff:ffff:ffff:ffff:ffff:ffff
223ed2:150::/283ed2:15f:ffff:ffff:ffff:ffff:ffff:ffff
233ed2:160::/283ed2:16f:ffff:ffff:ffff:ffff:ffff:ffff
243ed2:170::/283ed2:17f:ffff:ffff:ffff:ffff:ffff:ffff
253ed2:180::/283ed2:18f:ffff:ffff:ffff:ffff:ffff:ffff
263ed2:190::/283ed2:19f:ffff:ffff:ffff:ffff:ffff:ffff
273ed2:1a0::/283ed2:1af:ffff:ffff:ffff:ffff:ffff:ffff
283ed2:1b0::/283ed2:1bf:ffff:ffff:ffff:ffff:ffff:ffff
293ed2:1c0::/283ed2:1cf:ffff:ffff:ffff:ffff:ffff:ffff
303ed2:1d0::/283ed2:1df:ffff:ffff:ffff:ffff:ffff:ffff
313ed2:1e0::/283ed2:1ef:ffff:ffff:ffff:ffff:ffff:ffff
323ed2:1f0::/283ed2:1ff:ffff:ffff:ffff:ffff:ffff:ffff
333ed2:200::/283ed2:20f:ffff:ffff:ffff:ffff:ffff:ffff
343ed2:210::/283ed2:21f:ffff:ffff:ffff:ffff:ffff:ffff
353ed2:220::/283ed2:22f:ffff:ffff:ffff:ffff:ffff:ffff
363ed2:230::/283ed2:23f:ffff:ffff:ffff:ffff:ffff:ffff
373ed2:240::/283ed2:24f:ffff:ffff:ffff:ffff:ffff:ffff
383ed2:250::/283ed2:25f:ffff:ffff:ffff:ffff:ffff:ffff
393ed2:260::/283ed2:26f:ffff:ffff:ffff:ffff:ffff:ffff
403ed2:270::/283ed2:27f:ffff:ffff:ffff:ffff:ffff:ffff
413ed2:280::/283ed2:28f:ffff:ffff:ffff:ffff:ffff:ffff
423ed2:290::/283ed2:29f:ffff:ffff:ffff:ffff:ffff:ffff
433ed2:2a0::/283ed2:2af:ffff:ffff:ffff:ffff:ffff:ffff
443ed2:2b0::/283ed2:2bf:ffff:ffff:ffff:ffff:ffff:ffff
453ed2:2c0::/283ed2:2cf:ffff:ffff:ffff:ffff:ffff:ffff
463ed2:2d0::/283ed2:2df:ffff:ffff:ffff:ffff:ffff:ffff
473ed2:2e0::/283ed2:2ef:ffff:ffff:ffff:ffff:ffff:ffff
483ed2:2f0::/283ed2:2ff:ffff:ffff:ffff:ffff:ffff:ffff
493ed2:300::/283ed2:30f:ffff:ffff:ffff:ffff:ffff:ffff
503ed2:310::/283ed2:31f:ffff:ffff:ffff:ffff:ffff:ffff
513ed2:320::/283ed2:32f:ffff:ffff:ffff:ffff:ffff:ffff
523ed2:330::/283ed2:33f:ffff:ffff:ffff:ffff:ffff:ffff
533ed2:340::/283ed2:34f:ffff:ffff:ffff:ffff:ffff:ffff
543ed2:350::/283ed2:35f:ffff:ffff:ffff:ffff:ffff:ffff
553ed2:360::/283ed2:36f:ffff:ffff:ffff:ffff:ffff:ffff
563ed2:370::/283ed2:37f:ffff:ffff:ffff:ffff:ffff:ffff
573ed2:380::/283ed2:38f:ffff:ffff:ffff:ffff:ffff:ffff
583ed2:390::/283ed2:39f:ffff:ffff:ffff:ffff:ffff:ffff
593ed2:3a0::/283ed2:3af:ffff:ffff:ffff:ffff:ffff:ffff
603ed2:3b0::/283ed2:3bf:ffff:ffff:ffff:ffff:ffff:ffff
613ed2:3c0::/283ed2:3cf:ffff:ffff:ffff:ffff:ffff:ffff
623ed2:3d0::/283ed2:3df:ffff:ffff:ffff:ffff:ffff:ffff
633ed2:3e0::/283ed2:3ef:ffff:ffff:ffff:ffff:ffff:ffff
643ed2:3f0::/283ed2:3ff:ffff:ffff:ffff:ffff:ffff:ffff
653ed2:400::/283ed2:40f:ffff:ffff:ffff:ffff:ffff:ffff
663ed2:410::/283ed2:41f:ffff:ffff:ffff:ffff:ffff:ffff
673ed2:420::/283ed2:42f:ffff:ffff:ffff:ffff:ffff:ffff
683ed2:430::/283ed2:43f:ffff:ffff:ffff:ffff:ffff:ffff
693ed2:440::/283ed2:44f:ffff:ffff:ffff:ffff:ffff:ffff
703ed2:450::/283ed2:45f:ffff:ffff:ffff:ffff:ffff:ffff
713ed2:460::/283ed2:46f:ffff:ffff:ffff:ffff:ffff:ffff
723ed2:470::/283ed2:47f:ffff:ffff:ffff:ffff:ffff:ffff
733ed2:480::/283ed2:48f:ffff:ffff:ffff:ffff:ffff:ffff
743ed2:490::/283ed2:49f:ffff:ffff:ffff:ffff:ffff:ffff
753ed2:4a0::/283ed2:4af:ffff:ffff:ffff:ffff:ffff:ffff
763ed2:4b0::/283ed2:4bf:ffff:ffff:ffff:ffff:ffff:ffff
773ed2:4c0::/283ed2:4cf:ffff:ffff:ffff:ffff:ffff:ffff
783ed2:4d0::/283ed2:4df:ffff:ffff:ffff:ffff:ffff:ffff
793ed2:4e0::/283ed2:4ef:ffff:ffff:ffff:ffff:ffff:ffff
803ed2:4f0::/283ed2:4ff:ffff:ffff:ffff:ffff:ffff:ffff
813ed2:500::/283ed2:50f:ffff:ffff:ffff:ffff:ffff:ffff
823ed2:510::/283ed2:51f:ffff:ffff:ffff:ffff:ffff:ffff
833ed2:520::/283ed2:52f:ffff:ffff:ffff:ffff:ffff:ffff
843ed2:530::/283ed2:53f:ffff:ffff:ffff:ffff:ffff:ffff
853ed2:540::/283ed2:54f:ffff:ffff:ffff:ffff:ffff:ffff
863ed2:550::/283ed2:55f:ffff:ffff:ffff:ffff:ffff:ffff
873ed2:560::/283ed2:56f:ffff:ffff:ffff:ffff:ffff:ffff
883ed2:570::/283ed2:57f:ffff:ffff:ffff:ffff:ffff:ffff
893ed2:580::/283ed2:58f:ffff:ffff:ffff:ffff:ffff:ffff
903ed2:590::/283ed2:59f:ffff:ffff:ffff:ffff:ffff:ffff
913ed2:5a0::/283ed2:5af:ffff:ffff:ffff:ffff:ffff:ffff
923ed2:5b0::/283ed2:5bf:ffff:ffff:ffff:ffff:ffff:ffff
933ed2:5c0::/283ed2:5cf:ffff:ffff:ffff:ffff:ffff:ffff
943ed2:5d0::/283ed2:5df:ffff:ffff:ffff:ffff:ffff:ffff
953ed2:5e0::/283ed2:5ef:ffff:ffff:ffff:ffff:ffff:ffff
963ed2:5f0::/283ed2:5ff:ffff:ffff:ffff:ffff:ffff:ffff
973ed2:600::/283ed2:60f:ffff:ffff:ffff:ffff:ffff:ffff
983ed2:610::/283ed2:61f:ffff:ffff:ffff:ffff:ffff:ffff
993ed2:620::/283ed2:62f:ffff:ffff:ffff:ffff:ffff:ffff
1003ed2:630::/283ed2:63f:ffff:ffff:ffff:ffff:ffff:ffff
1013ed2:640::/283ed2:64f:ffff:ffff:ffff:ffff:ffff:ffff
1023ed2:650::/283ed2:65f:ffff:ffff:ffff:ffff:ffff:ffff
1033ed2:660::/283ed2:66f:ffff:ffff:ffff:ffff:ffff:ffff
1043ed2:670::/283ed2:67f:ffff:ffff:ffff:ffff:ffff:ffff
1053ed2:680::/283ed2:68f:ffff:ffff:ffff:ffff:ffff:ffff
1063ed2:690::/283ed2:69f:ffff:ffff:ffff:ffff:ffff:ffff
1073ed2:6a0::/283ed2:6af:ffff:ffff:ffff:ffff:ffff:ffff
1083ed2:6b0::/283ed2:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1093ed2:6c0::/283ed2:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1103ed2:6d0::/283ed2:6df:ffff:ffff:ffff:ffff:ffff:ffff
1113ed2:6e0::/283ed2:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1123ed2:6f0::/283ed2:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1133ed2:700::/283ed2:70f:ffff:ffff:ffff:ffff:ffff:ffff
1143ed2:710::/283ed2:71f:ffff:ffff:ffff:ffff:ffff:ffff
1153ed2:720::/283ed2:72f:ffff:ffff:ffff:ffff:ffff:ffff
1163ed2:730::/283ed2:73f:ffff:ffff:ffff:ffff:ffff:ffff
1173ed2:740::/283ed2:74f:ffff:ffff:ffff:ffff:ffff:ffff
1183ed2:750::/283ed2:75f:ffff:ffff:ffff:ffff:ffff:ffff
1193ed2:760::/283ed2:76f:ffff:ffff:ffff:ffff:ffff:ffff
1203ed2:770::/283ed2:77f:ffff:ffff:ffff:ffff:ffff:ffff
1213ed2:780::/283ed2:78f:ffff:ffff:ffff:ffff:ffff:ffff
1223ed2:790::/283ed2:79f:ffff:ffff:ffff:ffff:ffff:ffff
1233ed2:7a0::/283ed2:7af:ffff:ffff:ffff:ffff:ffff:ffff
1243ed2:7b0::/283ed2:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1253ed2:7c0::/283ed2:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1263ed2:7d0::/283ed2:7df:ffff:ffff:ffff:ffff:ffff:ffff
1273ed2:7e0::/283ed2:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1283ed2:7f0::/283ed2:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1293ed2:800::/283ed2:80f:ffff:ffff:ffff:ffff:ffff:ffff
1303ed2:810::/283ed2:81f:ffff:ffff:ffff:ffff:ffff:ffff
1313ed2:820::/283ed2:82f:ffff:ffff:ffff:ffff:ffff:ffff
1323ed2:830::/283ed2:83f:ffff:ffff:ffff:ffff:ffff:ffff
1333ed2:840::/283ed2:84f:ffff:ffff:ffff:ffff:ffff:ffff
1343ed2:850::/283ed2:85f:ffff:ffff:ffff:ffff:ffff:ffff
1353ed2:860::/283ed2:86f:ffff:ffff:ffff:ffff:ffff:ffff
1363ed2:870::/283ed2:87f:ffff:ffff:ffff:ffff:ffff:ffff
1373ed2:880::/283ed2:88f:ffff:ffff:ffff:ffff:ffff:ffff
1383ed2:890::/283ed2:89f:ffff:ffff:ffff:ffff:ffff:ffff
1393ed2:8a0::/283ed2:8af:ffff:ffff:ffff:ffff:ffff:ffff
1403ed2:8b0::/283ed2:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1413ed2:8c0::/283ed2:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1423ed2:8d0::/283ed2:8df:ffff:ffff:ffff:ffff:ffff:ffff
1433ed2:8e0::/283ed2:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1443ed2:8f0::/283ed2:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1453ed2:900::/283ed2:90f:ffff:ffff:ffff:ffff:ffff:ffff
1463ed2:910::/283ed2:91f:ffff:ffff:ffff:ffff:ffff:ffff
1473ed2:920::/283ed2:92f:ffff:ffff:ffff:ffff:ffff:ffff
1483ed2:930::/283ed2:93f:ffff:ffff:ffff:ffff:ffff:ffff
1493ed2:940::/283ed2:94f:ffff:ffff:ffff:ffff:ffff:ffff
1503ed2:950::/283ed2:95f:ffff:ffff:ffff:ffff:ffff:ffff
1513ed2:960::/283ed2:96f:ffff:ffff:ffff:ffff:ffff:ffff
1523ed2:970::/283ed2:97f:ffff:ffff:ffff:ffff:ffff:ffff
1533ed2:980::/283ed2:98f:ffff:ffff:ffff:ffff:ffff:ffff
1543ed2:990::/283ed2:99f:ffff:ffff:ffff:ffff:ffff:ffff
1553ed2:9a0::/283ed2:9af:ffff:ffff:ffff:ffff:ffff:ffff
1563ed2:9b0::/283ed2:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1573ed2:9c0::/283ed2:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1583ed2:9d0::/283ed2:9df:ffff:ffff:ffff:ffff:ffff:ffff
1593ed2:9e0::/283ed2:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1603ed2:9f0::/283ed2:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1613ed2:a00::/283ed2:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1623ed2:a10::/283ed2:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1633ed2:a20::/283ed2:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1643ed2:a30::/283ed2:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1653ed2:a40::/283ed2:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1663ed2:a50::/283ed2:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1673ed2:a60::/283ed2:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1683ed2:a70::/283ed2:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1693ed2:a80::/283ed2:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1703ed2:a90::/283ed2:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1713ed2:aa0::/283ed2:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1723ed2:ab0::/283ed2:abf:ffff:ffff:ffff:ffff:ffff:ffff
1733ed2:ac0::/283ed2:acf:ffff:ffff:ffff:ffff:ffff:ffff
1743ed2:ad0::/283ed2:adf:ffff:ffff:ffff:ffff:ffff:ffff
1753ed2:ae0::/283ed2:aef:ffff:ffff:ffff:ffff:ffff:ffff
1763ed2:af0::/283ed2:aff:ffff:ffff:ffff:ffff:ffff:ffff
1773ed2:b00::/283ed2:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1783ed2:b10::/283ed2:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1793ed2:b20::/283ed2:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1803ed2:b30::/283ed2:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1813ed2:b40::/283ed2:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1823ed2:b50::/283ed2:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1833ed2:b60::/283ed2:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1843ed2:b70::/283ed2:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1853ed2:b80::/283ed2:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1863ed2:b90::/283ed2:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1873ed2:ba0::/283ed2:baf:ffff:ffff:ffff:ffff:ffff:ffff
1883ed2:bb0::/283ed2:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1893ed2:bc0::/283ed2:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1903ed2:bd0::/283ed2:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1913ed2:be0::/283ed2:bef:ffff:ffff:ffff:ffff:ffff:ffff
1923ed2:bf0::/283ed2:bff:ffff:ffff:ffff:ffff:ffff:ffff
1933ed2:c00::/283ed2:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1943ed2:c10::/283ed2:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1953ed2:c20::/283ed2:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1963ed2:c30::/283ed2:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1973ed2:c40::/283ed2:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1983ed2:c50::/283ed2:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1993ed2:c60::/283ed2:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2003ed2:c70::/283ed2:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2013ed2:c80::/283ed2:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2023ed2:c90::/283ed2:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2033ed2:ca0::/283ed2:caf:ffff:ffff:ffff:ffff:ffff:ffff
2043ed2:cb0::/283ed2:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2053ed2:cc0::/283ed2:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2063ed2:cd0::/283ed2:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2073ed2:ce0::/283ed2:cef:ffff:ffff:ffff:ffff:ffff:ffff
2083ed2:cf0::/283ed2:cff:ffff:ffff:ffff:ffff:ffff:ffff
2093ed2:d00::/283ed2:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2103ed2:d10::/283ed2:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2113ed2:d20::/283ed2:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2123ed2:d30::/283ed2:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2133ed2:d40::/283ed2:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2143ed2:d50::/283ed2:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2153ed2:d60::/283ed2:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2163ed2:d70::/283ed2:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2173ed2:d80::/283ed2:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2183ed2:d90::/283ed2:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2193ed2:da0::/283ed2:daf:ffff:ffff:ffff:ffff:ffff:ffff
2203ed2:db0::/283ed2:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2213ed2:dc0::/283ed2:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2223ed2:dd0::/283ed2:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2233ed2:de0::/283ed2:def:ffff:ffff:ffff:ffff:ffff:ffff
2243ed2:df0::/283ed2:dff:ffff:ffff:ffff:ffff:ffff:ffff
2253ed2:e00::/283ed2:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2263ed2:e10::/283ed2:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2273ed2:e20::/283ed2:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2283ed2:e30::/283ed2:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2293ed2:e40::/283ed2:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2303ed2:e50::/283ed2:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2313ed2:e60::/283ed2:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2323ed2:e70::/283ed2:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2333ed2:e80::/283ed2:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2343ed2:e90::/283ed2:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2353ed2:ea0::/283ed2:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2363ed2:eb0::/283ed2:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2373ed2:ec0::/283ed2:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2383ed2:ed0::/283ed2:edf:ffff:ffff:ffff:ffff:ffff:ffff
2393ed2:ee0::/283ed2:eef:ffff:ffff:ffff:ffff:ffff:ffff
2403ed2:ef0::/283ed2:eff:ffff:ffff:ffff:ffff:ffff:ffff
2413ed2:f00::/283ed2:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2423ed2:f10::/283ed2:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2433ed2:f20::/283ed2:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2443ed2:f30::/283ed2:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2453ed2:f40::/283ed2:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2463ed2:f50::/283ed2:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2473ed2:f60::/283ed2:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2483ed2:f70::/283ed2:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2493ed2:f80::/283ed2:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2503ed2:f90::/283ed2:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2513ed2:fa0::/283ed2:faf:ffff:ffff:ffff:ffff:ffff:ffff
2523ed2:fb0::/283ed2:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2533ed2:fc0::/283ed2:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2543ed2:fd0::/283ed2:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2553ed2:fe0::/283ed2:fef:ffff:ffff:ffff:ffff:ffff:ffff
2563ed2:ff0::/283ed2:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses